#ifndef __ACREL_DJSF1352RN_H__
#define __ACREL_DJSF1352RN_H__
#include "com_ttySx.h"
#include "modbus_RTU.h"


typedef struct DCMeters
{
    com_ttySx_t tty;

    uint16_t salve;


    float current_V[2];
    float current_I[2];
    float current_P[2];
    float current_E[2];

}DCMeters_t;

int ccu_DCMeters_init(DCMeters_t* meters, const char* devname);

void ccu_DCMeters_readV(DCMeters_t* meters);

void ccu_DCMeters_readI(DCMeters_t* meters);

void ccu_DCMeters_readP(DCMeters_t* meters);

void ccu_DCMeters_readE(DCMeters_t* meters);

void ccu_DCMeters_exit(DCMeters_t* meters);

#endif//__ACREL_DJSF1352RN_H__
